Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.persistence.jta
Class ContainerManagedTransactionDisposeCommand

    java.lang.Object
      org.jbpm.persistence.jta.ContainerManagedTransactionDisposeCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<Void>, Command<Void>

    public class ContainerManagedTransactionDisposeCommand

extends Object
implements org.drools.core.command.impl.GenericCommand<Void>

Dispose command that is dedicated to be used in container managed environments instead of default way of disposing ksession
`ksession.dispose()`.
If transaction is active it will delegate the actual disposal to afterCompletion phase of transaction instead of executing it directly. Although when there is no active transaction or no transaction at all it will dispose ksession immediately.
It relies on `TransactionManager` being available in ksession's environment:
`ksession.getEnvironment().get(EnvironmentName.TRANSACTION_MANAGER)`

See Also:
  Serialized Form

Constructor Summary
`ContainerManagedTransactionDisposeCommand()`

Method Summary
`Void` | `execute(org.kie.internal.command.Context context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerManagedTransactionDisposeCommand

    public ContainerManagedTransactionDisposeCommand()

Method Detail

### execute

    public Void execute(org.kie.internal.command.Context context)

  Specified by:
    `execute` in interface `org.drools.core.command.impl.GenericCommand<Void>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.